# $Revision: 1.20 $, $Date: 2010/01/29 19:56:35 $
%define	version_major	3.3.0
%define	version_minor	4
Summary:	NX compression library extenstions
Summary(pl.UTF-8):	Rozszerzenia biblioteki kompresji NX
Name:		nxcompext
Version:	%{version_major}.%{version_minor}
Release:	3
License:	GPL
Group:		X11/Libraries
Source0:	http://64.34.161.181/download/%{version_major}/sources/%{name}-%{version_major}-%{version_minor}.tar.gz
# Source0-md5:	421398e9f8878a9956aebbf9452ec40a
Patch0:		%{name}-xgetioerror.patch
Patch1:		%{name}-xorg-includes.patch
URL:		http://www.nomachine.com/
BuildRequires:	autoconf >= 2.59-9
BuildRequires:	libjpeg-devel
BuildRequires:	libpng-devel
BuildRequires:	libstdc++-devel
BuildRequires:	nxcomp-devel >= 2.0.0
BuildRequires:	sed >= 4.0
BuildRequires:	xorg-lib-libX11-devel
BuildRequires:	xorg-xserver-server-devel
BuildRoot:	%{tmpdir}/%{name}-%{version}-root-%(id -u -n)

# don't satisfy xorg deps for the rest of the distro
%define		_noautoprovfiles	%{_libdir}/NX

# and as we don't provide them, don't require either
%define		_noautoreq libXcompext.so

%description
NX compression library extensions.

%description -l pl.UTF-8
Rozszerzenia biblioteki kompresji NX.

%package devel
Summary:	Header files for nxcompext
Summary(pl.UTF-8):	Pliki nagłówkowe nxcompext
Group:		X11/Development/Libraries
Requires:	%{name} = %{version}-%{release}

%description devel
Header files for nxcompext.

%description devel -l pl.UTF-8
Pliki nagłówkowe nxcompext.

%package static
Summary:	Static nxcompext library
Summary(pl.UTF-8):	Statyczna biblioteka nxcompext
Group:		X11/Development/Libraries
Requires:	%{name}-devel = %{version}-%{release}

%description static
Static nxcompext library.

%description static -l pl.UTF-8
Statyczna biblioteka nxcompext.

%prep
%setup -q -n %{name}
%patch0 -p1
%patch1 -p1

%build
%{__autoconf}
%configure
sed -i -e 's#-I/usr/X11R6/include#-I/usr/include/X11 -I/usr/include/xorg#g' Makefile
sed -i -e 's#-L../nxcomp##' Makefile
%{__make}

%install
rm -rf $RPM_BUILD_ROOT
install -d $RPM_BUILD_ROOT{%{_libdir}/NX,%{_includedir}}

cp -a lib*.so*	$RPM_BUILD_ROOT%{_libdir}/NX
cp -a lib*.a	$RPM_BUILD_ROOT%{_libdir}/NX
install NX*.h	$RPM_BUILD_ROOT%{_includedir}

%clean
rm -rf $RPM_BUILD_ROOT

%post	-p /sbin/ldconfig
%postun	-p /sbin/ldconfig

%files
%defattr(644,root,root,755)
%doc CHANGELOG README
%attr(755,root,root) %{_libdir}/NX/lib*.so.*

%files devel
%defattr(644,root,root,755)
%attr(755,root,root) %{_libdir}/NX/lib*.so
%{_includedir}/*.h

%files static
%defattr(644,root,root,755)
%{_libdir}/NX/*.a

%define date	%(echo `LC_ALL="C" date +"%a %b %d %Y"`)
%changelog
* %{date} PLD Team <feedback@pld-linux.org>
All persons listed below can be reached at <cvs_login>@pld-linux.org

$Log: nxcompext.spec,v $
Revision 1.20  2010/01/29 19:56:35  arekm
- release 3

Revision 1.19  2009/07/12 13:27:00  arekm
- release 2

Revision 1.18  2009/04/18 20:44:21  areq
- 3.3.0.4

Revision 1.17  2009/03/15 22:57:41  hawk
- release 2

Revision 1.16  2009/02/20 13:30:11  pawelz
- up to 3.3.0.3

Revision 1.15  2009/01/06 20:10:04  paszczus
- updated to 3.3.0-2

Revision 1.14  2008/11/12 22:47:40  glen
- trashing system xorg deps is NO-WAY
- i don't care if _this_ pkg works; rel 2

Revision 1.13  2008/08/04 12:37:59  paszczus
- updated to 3.2.0.1

Revision 1.12  2007/03/28 18:26:08  aredridel
- 2.1.0.5

Revision 1.11  2007/02/13 07:16:50  glen
- tabs in preamble

Revision 1.10  2007/02/12 00:49:14  baggins
- converted to UTF-8

Revision 1.9  2007/01/02 18:13:17  arekm
- rel 2

Revision 1.8  2006/10/07 14:53:02  qboosh
- ac 2.59-9 for AC_PATH_XTRA not requiring libXt

Revision 1.7  2006/09/11 17:12:15  aredridel
- adapterized

Revision 1.6  2006/09/08 23:11:45  aredridel
- builds against xorg
- patched to use complete include paths

Revision 1.5  2006/09/06 17:34:30  kosmo
- updated to 2.0.0-33

Revision 1.4  2006/01/31 22:11:47  qboosh
- don't use epoch when not defined

Revision 1.3  2004/11/11 19:48:18  saq
- mass commit: using %{epoch} without explicit Epoch: declaration
  requires a modern rpm

Revision 1.2  2004/07/05 19:31:51  qboosh
- pl

Revision 1.1  2004/07/04 23:57:22  arekm
- initial but NFY
